summaryrefslogtreecommitdiff
path: root/round-robin.sh
diff options
context:
space:
mode:
Diffstat (limited to 'round-robin.sh')
-rw-r--r--round-robin.sh15
1 files changed, 13 insertions, 2 deletions
diff --git a/round-robin.sh b/round-robin.sh
index 4f4db645..aa67c95f 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -595,9 +595,19 @@ check_regression ()
exit $EXTERNAL_FAIL
fi
+ local res
+
# Generate comparison artifacts for update, reset, init and push modes.
${rr[no_regression_p]} base-artifacts ${rr[top_artifacts]} &
- if wait $!; then
+ res=0 && wait $! || res=$?
+
+ # Move extra artifacts that no_regression_p generated to $top_artifacts.
+ if [ -d $run_step_artifacts/top_artifacts ]; then
+ rsync -a $run_step_artifacts/top_artifacts/ ${rr[top_artifacts]}/
+ rm -rf $run_step_artifacts/top_artifacts
+ fi
+
+ if [ $res = 0 ]; then
# All good, no regression
return
fi
@@ -704,7 +714,8 @@ EOF
COMMIT_LOG=$(git -C $single_component log --pretty=short -n 1 HEAD)
export COMMIT_LOG
for i in mail-subject.txt jira-body.txt mail-body.txt; do
- envsubst < $run_step_artifacts/$i > $mail_dir/$i
+ envsubst '$COMMIT_COMPONENT $COMMIT_SUBJECT $COMMIT_LOG' \
+ < $run_step_artifacts/$i > $mail_dir/$i
done
)
fi